com.hazelcast.nio.serialization

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - com.hazelcast.nio.serialization.FieldType

- All Implemented Interfaces:
    Serializable, Comparable<FieldType>

      public enum FieldType
      extends Enum<FieldType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BOOLEAN_ARRAY`
    `BYTE`
    `BYTE_ARRAY`
    `CHAR`
    `CHAR_ARRAY`
    `DOUBLE`
    `DOUBLE_ARRAY`
    `FLOAT`
    `FLOAT_ARRAY`
    `INT`
    `INT_ARRAY`
    `LONG`
    `LONG_ARRAY`
    `PORTABLE`
    `PORTABLE_ARRAY`
    `SHORT`
    `SHORT_ARRAY`
    `UTF`
    `UTF_ARRAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldType` | `get(byte type)`
    `byte` | `getId()`
    `FieldType` | `getSingleType()`
    `int` | `getTypeSize()`
    `boolean` | `hasDefiniteSize()`
    `boolean` | `isArrayType()`
    `static FieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PORTABLE

          public static final FieldType PORTABLE

    - #### BYTE

          public static final FieldType BYTE

    - #### BOOLEAN

          public static final FieldType BOOLEAN

    - #### CHAR

          public static final FieldType CHAR

    - #### SHORT

          public static final FieldType SHORT

    - #### INT

          public static final FieldType INT

    - #### LONG

          public static final FieldType LONG

    - #### FLOAT

          public static final FieldType FLOAT

    - #### DOUBLE

          public static final FieldType DOUBLE

    - #### UTF

          public static final FieldType UTF

    - #### PORTABLE_ARRAY

          public static final FieldType PORTABLE_ARRAY

    - #### BYTE_ARRAY

          public static final FieldType BYTE_ARRAY

    - #### BOOLEAN_ARRAY

          public static final FieldType BOOLEAN_ARRAY

    - #### CHAR_ARRAY

          public static final FieldType CHAR_ARRAY

    - #### SHORT_ARRAY

          public static final FieldType SHORT_ARRAY

    - #### INT_ARRAY

          public static final FieldType INT_ARRAY

    - #### LONG_ARRAY

          public static final FieldType LONG_ARRAY

    - #### FLOAT_ARRAY

          public static final FieldType FLOAT_ARRAY

    - #### DOUBLE_ARRAY

          public static final FieldType DOUBLE_ARRAY

    - #### UTF_ARRAY

          public static final FieldType UTF_ARRAY

  - ### Method Detail

    - #### values

          public static FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public byte getId()

    - #### get

          public static FieldType get(byte type)

    - #### isArrayType

          public boolean isArrayType()

    - #### getSingleType

          public FieldType getSingleType()

    - #### hasDefiniteSize

          public boolean hasDefiniteSize()

    - #### getTypeSize

          public int getTypeSize()
                          throws IllegalArgumentException

      Returns:
        size of an element of the type represented by this object
      Throws:
        `IllegalArgumentException` - if type does not have a definite type. Invoke hasDefiniteSize() to check before.

Copyright © 2020. All rights reserved.